package de.intevation.flys.artifacts.model;

import org.apache.log4j.Logger;

import de.intevation.artifacts.Artifact;
import de.intevation.artifacts.CallContext;

import de.intevation.artifactdatabase.state.DefaultFacet;
import de.intevation.artifactdatabase.state.Facet;

import de.intevation.flys.artifacts.WINFOArtifact;

import de.intevation.flys.artifacts.states.DefaultState.ComputeType;


/**
 * Trival Facet for Cross Sections.
 */
public class CrossSectionFacet
extends      DefaultFacet
implements   FacetTypes {

    private static Logger logger = Logger.getLogger(CrossSectionFacet.class);

    protected ComputeType type;

    /** Trivial constructor, set (maybe localized) description. */
    public CrossSectionFacet(String description) {
        super(0, CROSS_SECTION, description);
        type = ComputeType.ADVANCE;
    }


    /**
     * Gets dummy data.
     */
    public Object getData(Artifact artifact, CallContext context) {
        logger.debug("Get data for cross section");

        WINFOArtifact winfo = (WINFOArtifact)artifact;

        return winfo.getCrossSectionData();
    }


    /** Do a deep copy. */
    @Override 
    public Facet deepCopy() {
        CrossSectionFacet copy = new CrossSectionFacet(this.description);
        copy.set(this);
        return copy;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :

